'use strict'

var _interopRequireDefault = require('@babel/runtime/helpers/interopRequireDefault')

exports.__esModule = true
exports.Query = void 0

var _objectAssign = _interopRequireDefault(require('object-assign'))

var _propTypes = _interopRequireDefault(require('prop-types'))

var _react = _interopRequireDefault(require('react'))

var _GraphQLContext = require('./GraphQLContext')

var _GraphQLQuery = require('./GraphQLQuery')

var Query = function Query(props) {
  return _react.default.createElement(_GraphQLContext.Consumer, null, function(
    graphql
  ) {
    if (!graphql) throw new Error('GraphQL context provider missing.')
    return _react.default.createElement(
      _GraphQLQuery.GraphQLQuery,
      (0, _objectAssign.default)(
        {
          graphql: graphql
        },
        props
      )
    )
  })
}

exports.Query = Query
Query.propTypes = {
  fetchOptionsOverride: _propTypes.default.func,
  operation: _propTypes.default.object.isRequired,
  loadOnMount: _propTypes.default.bool,
  loadOnReset: _propTypes.default.bool,
  resetOnLoad: _propTypes.default.bool,
  children: _propTypes.default.func.isRequired
}
