import _default from 'object-assign'
import propTypes from 'prop-types'
import React from 'react'
import { Consumer } from './GraphQLContext'
import { GraphQLQuery } from './GraphQLQuery'
export var Query = function Query(props) {
  return React.createElement(Consumer, null, function(graphql) {
    if (!graphql) throw new Error('GraphQL context provider missing.')
    return React.createElement(
      GraphQLQuery,
      _default(
        {
          graphql: graphql
        },
        props
      )
    )
  })
}
Query.propTypes = {
  fetchOptionsOverride: propTypes.func,
  operation: propTypes.object.isRequired,
  loadOnMount: propTypes.bool,
  loadOnReset: propTypes.bool,
  resetOnLoad: propTypes.bool,
  children: propTypes.func.isRequired
}
